org.hibernate.search.elasticsearch.work.impl

## Class GetIndexSettingsWork.Builder

- java.lang.Object
- - org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork.Builder<GetIndexSettingsWork.Builder>
  - - org.hibernate.search.elasticsearch.work.impl.GetIndexSettingsWork.Builder

- All Implemented Interfaces:
    ElasticsearchWorkBuilder<ElasticsearchWork<IndexSettings>>, GetIndexSettingsWorkBuilder
  Enclosing class:
    GetIndexSettingsWork

      public static class GetIndexSettingsWork.Builder
      extends SimpleElasticsearchWork.Builder<GetIndexSettingsWork.Builder>
      implements GetIndexSettingsWorkBuilder

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork.Builder

      `dirtiedIndexName, luceneWork, markIndexDirty, resultAssessor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(URLEncodedString indexName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetIndexSettingsWork` | `build()`
    `protected ElasticsearchRequest` | `buildRequest()`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork.Builder

      `luceneWork, markIndexDirty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(URLEncodedString indexName)

  - ### Method Detail

    - #### buildRequest

          protected ElasticsearchRequest buildRequest()

      Specified by:
        `buildRequest` in class `SimpleElasticsearchWork.Builder<GetIndexSettingsWork.Builder>`

    - #### build

          public GetIndexSettingsWork build()

      Specified by:
        `build` in interface `ElasticsearchWorkBuilder<ElasticsearchWork<IndexSettings>>`
      Specified by:
        `build` in class `SimpleElasticsearchWork.Builder<GetIndexSettingsWork.Builder>`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved